package mobile.model.restapi.fiftech.incidents;

import mobile.model.datatype.ItemsObject;

import mobile.model.restapi.fiftech.IncidentsPath;

import mobile.model.restapi.fiftech.incidents.id.StatusPath;

import oracle.eclipse.tools.rest.runtime.restapi.Action;
import oracle.eclipse.tools.rest.runtime.restapi.HTTPMethod;
import oracle.eclipse.tools.rest.runtime.restapi.Header;
import oracle.eclipse.tools.rest.runtime.restapi.Output;
import oracle.eclipse.tools.rest.runtime.restapi.PathObject;
import oracle.eclipse.tools.rest.runtime.restapi.PathValue;
import oracle.eclipse.tools.rest.runtime.restapi.Representation;
import oracle.eclipse.tools.rest.runtime.restapi.RequestAccessor;
import oracle.eclipse.tools.rest.runtime.restapi.RequestException;

/**
 * Interface generated for the '{id}' path defined on the REST Service file:
 * /OEPE FiF IncidentReport 1.0 definition.xmi (last modified: 2015-09-24 09:56:37.322)
 */
@PathValue(value="{id}", parameters="id")
public interface IdPath extends PathObject {
  @RequestAccessor
  public static interface Request {
    @Action(HTTPMethod.GET)
    @Header(name="Accept", value="application/json")
    @Output(representations=@Representation(type=ItemsObject.class))
    ItemsObject getId() throws RequestException;
  }
  
  @Override
  IncidentsPath parent();

  /**
   * @return creates a new object that exposes the requests
   *         defined for this path
   */
  Request invoke();

  /**
   * @return the child {@link StatusPath}
   */
  StatusPath getStatusPath();
}
