package mobile.model.restapi.fiftech.incidents.id;

import mobile.model.datatype.Status1Object;
import mobile.model.datatype.StatusObject;

import mobile.model.restapi.fiftech.incidents.IdPath;

import oracle.eclipse.tools.rest.runtime.client.ResponseObject;

import oracle.eclipse.tools.rest.runtime.restapi.Action;
import oracle.eclipse.tools.rest.runtime.restapi.HTTPMethod;
import oracle.eclipse.tools.rest.runtime.restapi.Header;
import oracle.eclipse.tools.rest.runtime.restapi.Output;
import oracle.eclipse.tools.rest.runtime.restapi.PathObject;
import oracle.eclipse.tools.rest.runtime.restapi.PathValue;
import oracle.eclipse.tools.rest.runtime.restapi.Representation;
import oracle.eclipse.tools.rest.runtime.restapi.RequestAccessor;
import oracle.eclipse.tools.rest.runtime.restapi.RequestException;

/**
 * Interface generated for the 'status' path defined on the REST Service file:
 * /OEPE FiF IncidentReport 1.0 definition.xmi (last modified: 2015-09-24 09:56:37.322)
 */
@PathValue(value="status")
public interface StatusPath extends PathObject {
  @RequestAccessor
  public static interface Request {
    @Action(HTTPMethod.GET)
    @Header(name="Accept", value="application/json")
    @Output(representations=@Representation(type=StatusObject.class))
    StatusObject getStatus() throws RequestException;

    @Action(HTTPMethod.PUT)
    @Header(name="Content-Type", value="application/json")
    @Header(name="Accept", value="application/json")
    ResponseObject putStatus(
      @Representation(type=Status1Object.class) Status1Object status1) throws RequestException;
  }
  
  @Override
  IdPath parent();

  /**
   * @return creates a new object that exposes the requests
   *         defined for this path
   */
  Request invoke();
}
